## com.baidubce.services.media.model
Class WaterMark

    java.lang.Object
      com.baidubce.services.media.model.WaterMark

    public class WaterMark

extends Object

Constructor Summary
`WaterMark()`

Method Summary
`String` `getBucket()`
`String` `getCreateTime()`
`String` `getHorizontalAlignment()`
`Integer` `getHorizontalOffsetInPixel()`
`String` `getKey()`
`String` `getVerticalAlignment()`
`Integer` `getVerticalOffsetInPixel()`
`String` `getWatermarkId()`
`void` `setBucket(String bucket)`
`void` `setCreateTime(String createTime)`
`void` `setHorizontalAlignment(String horizontalAlignment)`
`void` `setHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)`
`void` `setKey(String key)`
`void` `setVerticalAlignment(String verticalAlignment)`
`void` `setVerticalOffsetInPixel(Integer verticalOffsetInPixel)`
`void` `setWatermarkId(String watermarkId)`
`String` `toString()`
`WaterMark` `withBucket(String bucket)`
`WaterMark` `withCreateTime(String createTime)`
`WaterMark` `withHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)`
`WaterMark` `withKey(String key)`
`WaterMark` `withVerticalOffsetInPixel(Integer verticalOffsetInPixel)`
`WaterMark` `withWatermarkId(String watermarkId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WaterMark

    public WaterMark()

Method Detail

### getBucket

    public String getBucket()

### setBucket

    public void setBucket(String bucket)

### withBucket

    public WaterMark withBucket(String bucket)

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### withKey

    public WaterMark withKey(String key)

### getVerticalOffsetInPixel

    public Integer getVerticalOffsetInPixel()

### setVerticalOffsetInPixel

    public void setVerticalOffsetInPixel(Integer verticalOffsetInPixel)

### withVerticalOffsetInPixel

    public WaterMark withVerticalOffsetInPixel(Integer verticalOffsetInPixel)

### getHorizontalOffsetInPixel

    public Integer getHorizontalOffsetInPixel()

### setHorizontalOffsetInPixel

    public void setHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)

### withHorizontalOffsetInPixel

    public WaterMark withHorizontalOffsetInPixel(Integer horizontalOffsetInPixel)

### getWatermarkId

    public String getWatermarkId()

### setWatermarkId

    public void setWatermarkId(String watermarkId)

### withWatermarkId

    public WaterMark withWatermarkId(String watermarkId)

### getCreateTime

    public String getCreateTime()

### setCreateTime

    public void setCreateTime(String createTime)

### withCreateTime

    public WaterMark withCreateTime(String createTime)

### getVerticalAlignment

    public String getVerticalAlignment()

### setVerticalAlignment

    public void setVerticalAlignment(String verticalAlignment)

### getHorizontalAlignment

    public String getHorizontalAlignment()

### setHorizontalAlignment

    public void setHorizontalAlignment(String horizontalAlignment)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.